# FPC, Lazarus stuff
*.compiled
*.rsj
*.rst
*.o
*.or
*.ppu
*.a
*.lps
*.lrs

# Delphi stuff
*.dproj.local
*.identcache
*.stat
*.dcu

# Don't ignore - commit these files, to allow compiling these examples with shell scripts / lpi too.
# automatic-windows-resources.res

# Other backups
*.blend1
*.blend2
*~
backup

# Other unwanted
*.apk
*.log
*.exe
*.pro.user
.DS_Store
xcuserdata
!xcshareddata

# cge build tool stuff
castle-engine-output

# fpmake stuff
castle-game-engine-*.fpm
fpmake
units/

# alphabetic list of specific subdirs (and files inside)

doc/man/man1/*.1
doc/pasdoc/cache/
doc/pasdoc/html/
doc/pasdoc/latex/
doc/reference/
examples/2d_dragon_spine_game/castle_spine
examples/2d_dragon_spine_game/castle_spine.log
examples/2d_dragon_spine_game/code/lib/
examples/2d_dragon_spine_game/code/libcastle_spine_android.so
examples/2d_standard_ui/edit_test/edit_test
examples/2d_standard_ui/show_various_ui_controls/libshow_various_ui_controls_android.so
examples/2d_standard_ui/show_various_ui_controls/show_various_ui_controls
examples/2d_standard_ui/timer_test/timer_test
examples/2d_standard_ui/zombie_fighter/zombie_fighter
examples/3d_rendering_processing/animate_3d_model_by_code
examples/3d_rendering_processing/animate_3d_model_by_code_2
examples/3d_rendering_processing/build_3d_object_by_code
examples/3d_rendering_processing/build_3d_tunnel
examples/3d_rendering_processing/call_pascal_code_from_3d_model_script
examples/3d_rendering_processing/cars_demo
examples/3d_rendering_processing/combine_multiple_x3d_into_one
examples/3d_rendering_processing/custom_3d_object
examples/3d_rendering_processing/display_box_custom_shaders
examples/3d_rendering_processing/fog_culling
examples/3d_rendering_processing/gl_primitive_performance
examples/3d_rendering_processing/listen_on_x3d_events
examples/3d_rendering_processing/multiple_viewports
examples/3d_rendering_processing/placeholder_names
examples/3d_rendering_processing/render_3d_to_texture_and_use_as_quad
examples/3d_rendering_processing/scene_manager_demos
examples/3d_rendering_processing/tools/castle_anim_frames_to_interpolators
examples/3d_rendering_processing/tools/gen_light_map
examples/3d_rendering_processing/triangulate_demo
examples/3d_rendering_processing/triangulate_demo.res
examples/3d_rendering_processing/view_3d_model_advanced
examples/3d_rendering_processing/view_3d_model_advanced.res
examples/3d_rendering_processing/view_3d_model_basic
examples/3d_sound_game/data/levels/base/devel/process_base_b
examples/3d_sound_game/data/levels/base/devel/process_base_b.res
examples/3d_sound_game/lets_take_a_walk
examples/audio/algets
examples/audio/alplay
examples/audio/audio_player_scrubber/audio_player_scrubber
examples/audio/audio_player_scrubber/audio_player_scrubber.res
examples/audio/audio_player_scrubber/lib/
examples/audio/doppler_demo
examples/audio/efx_demo
examples/audio/test_al_source_allocator
examples/castlescript/castle_calculator
examples/castlescript/image_make_by_script
examples/curves/simplest_curve_read
examples/delphi/base_tests/base_tests.res
examples/fixed_camera_game/rift
examples/fonts/font_draw_over_image
examples/fonts/font_draw_over_image_output.png
examples/fonts/font_from_texture
examples/fonts/html_text
examples/fonts/test_font_break
examples/fonts/test_local_characters/test_local_characters
examples/fonts/test_local_characters/test_local_characters_standalone
examples/fonts/texture-font-to-pascal
examples/fps_game/fps_game
examples/images_videos/dds_decompose
examples/images_videos/drawing_modes_test
examples/images_videos/gaussian_write
examples/images_videos/image_compare
examples/images_videos/image_convert
examples/images_videos/image_identify
examples/images_videos/image_paint
examples/images_videos/simple_video_editor
examples/isometric_game/isometric_game
examples/joystick/joystick_demo
examples/lazarus/load_model_and_camera_manually/lib/
examples/lazarus/load_model_and_camera_manually/load_model_and_camera_manually
examples/lazarus/load_model_and_camera_manually/load_model_and_camera_manually.res
examples/lazarus/model_3d_viewer/model_3d_viewer
examples/lazarus/model_3d_with_2d_controls/model_3d_with_2d_controls
examples/lazarus/two_controls/lib/
examples/lazarus/two_controls/two_controls
examples/lazarus/two_controls/two_controls.lps
examples/lazarus/two_controls/two_controls.res
examples/mobile/drawing_toy/drawing_toy
examples/mobile/drawing_toy/libdrawing_toy.so
examples/mobile/simple_3d_demo/libsimple_3d_demo.so
examples/mobile/simple_3d_demo/simple_3d_demo
examples/mobile/simple_3d_demo/simple_3d_demo_standalone
examples/mobile/test_bump_mapping/test_bump_mapping
examples/physics/physics_2d_game_sopwith/physics_2d_game_sopwith
examples/physics/physics_3d_demo/physics_3d_demo
examples/plugin/cge_3d_viewer/cge_3d_viewer
examples/plugin/cge_3d_viewer/npcge_3d_viewer.linux-i386.so
examples/portable_game_skeleton/my_fantastic_game
examples/random_generator/globalrandom
examples/random_generator/graphics_random_test
examples/random_generator/graphics_random_test.res
examples/random_generator/lib
examples/random_generator/random_speed_test
examples/random_generator/random_threads_test
examples/research_special_rendering_methods/dynamic_ambient_occlusion/dynamic_ambient_occlusion
examples/research_special_rendering_methods/new_renderer_skeleton/new_renderer_skeleton
examples/research_special_rendering_methods/plane_mirror_and_shadow/plane_mirror_and_shadow
examples/research_special_rendering_methods/radiance_transfer/precompute_radiance_transfer
examples/research_special_rendering_methods/radiance_transfer/radiance_transfer
examples/research_special_rendering_methods/radiance_transfer/show_sh
examples/research_special_rendering_methods/shadow_fields/precompute_shadow_field
examples/research_special_rendering_methods/shadow_fields/shadow_fields
examples/resource_animations/resource_animations
examples/space_filling_curve/draw_space_filling_curve
examples/terrain/terrain
examples/tiled/tiled_demo
examples/tiled/tiled_demo_standalone
examples/tiled/tiled_demo_standalone.lps
examples/tools/castle_download
examples/tools/dircleaner
examples/tools/dircleaner.res
examples/tools/stringoper
examples/tools/to_data_uri
examples/window/multi_window
examples/window/window_events
examples/window/window_gtk_mix
examples/window/window_menu
packages/alternative_castle_window_based_on_lcl.pas
packages/castle_base.pas
packages/castle_components.pas
packages/castle_window.pas
packages/delphi/castle_base.res
packages/lib/
src/library/build-*
src/library/ios-output/
src/library/libcastleengine.dylib
src/library/libcastleengine.so
src/x3d/nodes_specification/old_x3d_nodes_spec_to_pascal/x3d_nodes_spec_to_pascal
src/x3d/nodes_specification/x3d-nodes-to-pascal/x3d-nodes-to-pascal
src/x3d/teapot/teapot_3d_to_pascal
src/x3d/teapot/teapot_3d_to_pascal.res
tests/test_castle_game_engine
tools/build-tool/castle-engine
tools/build-tool/data/android/integrated-services/chartboost/app/libs/*.jar
tools/build-tool/data/android/integrated-services/game_analytics/app/libs/*.jar
tools/build-tool/data/android/integrated-services/giftiz/app/libs/
tools/build-tool/data/android/integrated-services/giftiz/app/src/main/res/
tools/build-tool/data/android/integrated-services/heyzap/app/libs/*.aar
tools/build-tool/data/android/integrated-services/heyzap/app/libs/*.jar
tools/build-tool/data/android/integrated-services/startapp/app/libs/*.jar
tools/build-tool/data/ios/services/game_analytics/cge_project_name/game_analytics/GameAnalytics.h
tools/build-tool/data/ios/services/game_analytics/cge_project_name/game_analytics/libGameAnalytics.a
tools/castle-curves/castle-curves
tools/castle-engine
tools/image-to-pascal/image-to-pascal
tools/sprite-sheet-to-x3d/sprite-sheet-to-x3d
tools/texture-font-to-pascal/texture-font-to-pascal
*.swp
